extends: existence
message: "'%s' doesn't need a hyphen."
link: https://docs.microsoft.com/en-us/style-guide/punctuation/dashes-hyphens/hyphens
level: warning
ignorecase: false
nonword: true
action:
  name: edit
  params:
    - regex
    - "-"
    - " "
tokens:
  - '\b[^\s-]+ly-\w+\b'
